Bug 245402 - Vmware bridged connection through wireless interface no longer works
Summary: Vmware bridged connection through wireless interface no longer works
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 20:53 UTC by Tim Becker
Modified: 2015-01-04 22:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 13:39:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Becker 2007-06-22 20:53:30 UTC
Description of problem:
Vmware bridged connection through wireless interface no longer works

Version-Release number of selected component (if applicable):
F7 kernel 2.6.21-1.3228.fc7
VMware-Server-1.0.3-44356

How reproducible:
Always

Steps to Reproduce:
1.Configure vmware bridging vmnet0 to wlan0
2.Start guest OS (CentOS5)
3.Ping outside world
  
Actual results:
No packets are forwarded from the host machine, however the guest OS DOES have
network connectivity to the host machine

Expected results:
Packets from the guest are forwarded by the host.

Additional info:
VMware bridging works fine for wired interfaces (eth0)

I had no problems bridging the wireless interface in FC6.

Wireless HW is Intel 3945

I've tried both the iwl3945 and IPW3945 drivers w/o success.

To get the vmware kernel modules to compile under FC6 and FC7 I applied the
following patch to <vmware source>/vmmon-only/include/compat_kernel.h

--- compat_kernel.h.org 2007-02-16 15:34:36.000000000 +0100
+++ compat_kernel.h     2007-02-16 15:36:35.000000000 +0100
@@ -18,8 +18,9 @@
  * provided by x86-64, arm and other (but not by i386).
  */ 
 #define __NR_compat_exit __NR_exit
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,19)
 static inline _syscall1(int, compat_exit, int, exit_code);
-
+#endif
 
 /*
  * wait_for_completion and friends did not exist before 2.4.9.

Comment 1 Christopher Brown 2007-09-17 13:39:29 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

Vmware is proprietary software and as a result cannot be supported under Fedora.
Please address this issue through vmware.

Regards
Chris


Note You need to log in before you can comment on or make changes to this bug.